gnutls_sign_callback_get(3)

NAME
gnutls_sign_callback_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_sign_func gnutls_sign_callback_get(gnutls_session_t session, void ** userdata);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

void ** userdata
    if non-NULL, will be set to abstract callback pointer.

DESCRIPTION
Retrieve the callback function, and its userdata pointer.

RETURN VALUE
The function pointer set by gnutls_sign_callback_set(), or if not set, NULL.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.